# schema_salad.tests.util

Shared test functions and attributes.

## Attributes

`cwl_file_uri` |
`metaschema_file_uri` |
`basket_file_uri` |

## Functions

`get_data`(filename) | Get the file path for a given schema file name.
`get_data_uri`(resource_path) | Get the file URI for tests.

## Module Contents

schema_salad.tests.util.get_data(filename)

  Get the file path for a given schema file name.

  It is able to find file names in the `schema_salad` namespace, but also able to load schema files from the `tests` directory.

  Parameters:

    filename (str)

  Return type:

    Optional[str]

schema_salad.tests.util.get_data_uri(resource_path)

  Get the file URI for tests.

  Parameters:

    resource_path (str)

  Return type:

    str

schema_salad.tests.util.cwl_file_uri

schema_salad.tests.util.metaschema_file_uri

schema_salad.tests.util.basket_file_uri